UbuntuColors considered harmful

Bug #1581047 reported by Michael Terry on 2016-05-12
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
webapps-sprint
Medium
Alberto Mardegan
dialer-app (Ubuntu)
Undecided
Unassigned
reminders-app (Ubuntu)
Undecided
Unassigned
trust-store (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
Undecided
Michael Terry
ubuntu-system-settings-online-accounts (Ubuntu)
Medium
Alberto Mardegan
unity8 (Ubuntu)
Undecided
Michael Terry
webbrowser-app (Ubuntu)
Undecided
Michael Terry

Bug Description

After the latest theme changes (that introduced blue and green to our palette), there are incorrect colors in ubuntu-system-settings (and elsewhere).

Partly because of hardcoded colors via UbuntuColors. Ideally, semantic color names from the palette would be used instead. "theme.palette.normal.positive" instead of "UbuntuColors.green" for example.

A simple grep should give lots of locations that could be corrected.

In addition, it seems that UbuntuColors.orange is used in several places that aren't focus related. Like for buttons. Those might want to switch to green via theme.palette.normal.positive.

https://developer.ubuntu.com/api/apps/qml/sdk-15.04.4/Ubuntu.Components.Themes.PaletteValues/

And if you're curious what the semantic colors actually resolve to, you can see the current mapping between UbuntuColors and the theme by looking at /usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Components/Themes/Ambiance/1.3/AmbianceNormal.qml (or wherever it lives on your system).

Related branches

Michael Terry (mterry) on 2016-05-12
description: updated
Michael Terry (mterry) on 2016-05-12
Changed in unity8 (Ubuntu):
assignee: nobody → Michael Terry (mterry)
Alberto Mardegan (mardy) on 2016-05-12
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → Medium
status: New → Confirmed
Michael Terry (mterry) on 2016-05-23
Changed in trust-store (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Changed in unity8 (Ubuntu):
status: New → In Progress
Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Michael Terry (mterry) on 2016-05-23
Changed in webbrowser-app (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Alberto Mardegan (mardy) on 2016-05-23
Changed in webapps-sprint:
milestone: none → sprint-23
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → Medium
status: New → In Progress
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: Confirmed → In Progress
Michael Terry (mterry) on 2016-05-23
Changed in reminders-app (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.12+16.10.20160527-0ubuntu1

---------------
unity8 (8.12+16.10.20160527-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Activate on click for SimpleMessages (LP: #1421696)
  * Add override
  * Change the art back to the cardData value if it changes from broken
    to valid image (LP: #1533577)
  * Concierge mode generated code optimization
  * Don't use context properties but properties of the delegates
  * Listen to contentItem::widthChanged instead of
    Flickable::contentWidthChanged (LP: #1565763)
  * Make some AP code faster
  * Make tests a bit more stable
  * Make unity8 and unity8-dash handle termination signals
  * Remove workaround not needed anymore (LP: #1475643)
  * Resolve cardArtStyle on compile time
  * Set the theme earlier (LP: #1574048)

  [ Albert Astals Cid, Daniel d'Andrada ]
  * Remove DirectionalDragArea and libs/UbuntuGestures and port to SDK
    equivalents

  [ Andrea Cimitan ]
  * Hide the preview review input field when a rating is required (LP:
    #1541971)

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Fix DragHandle so it works in all directions
  * Support animated cursors
  * WindowInputMonitor - also map Qt::Key_HomePage to our home key
  * plugins/Cursor: properly register to the screen's QPlatformCursor
    when screen changes (LP: #1579742)

  [ Josh Arenson ]
  * Close the PageHeaderExtraPanel when a filter option is selected (LP:
    #1569498)
  * Wrap primaryFilter in a flickable to make it behave nicely. (LP:
    #1569492)

  [ Lukáš Tinkl ]
  * First snap decision should always be expanded, unless user decides
    otherwise (LP: #1580090, #1575045)
  * Fullscreen notification bug fixes (LP: #1583944, #1581498, #1422711)
  * Implement maximizing windows horizontally/vertically
  * Lock the session when putting the laptop into sleep (LP: #1581063)

  [ Lukáš Tinkl, Michael Terry ]
  * With a maximized window, "dragging" the panel down should restore it

  [ Michael Terry ]
  * Change some dash button colors from orange to green. (LP: #1581047)
  * Use PageHeader instead Ambiance's PageHeadStyle
  * Use new setTimeZone method to set user-friendly timezone name in the
    wizard. (LP: #1566295)

  [ Michael Zanetti ]
  * Remove the background dimming when the launcher is revealed by a
    drag (LP: #1575137)
  * reenable or drop disabled tests

 -- Michael Terry <email address hidden> Fri, 27 May 2016 13:54:44 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.4+16.10.20160606-0ubuntu1

---------------
ubuntu-system-settings (0.4+16.10.20160606-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry ]
  * Update some button colors to the new theme style (LP: #1581047)

 -- Ken VanDine <email address hidden> Mon, 06 Jun 2016 22:02:47 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Michael Terry (mterry) on 2016-06-14
Changed in reminders-app (Ubuntu):
status: In Progress → Fix Committed
Changed in dialer-app (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings-online-accounts - 0.7+16.10.20160610-0ubuntu1

---------------
ubuntu-system-settings-online-accounts (0.7+16.10.20160610-0ubuntu1) yakkety; urgency=medium

  [ Alberto Mardegan ]
  * Immediately accept degenerate requests from unconfined processes
    (LP: #1582824)
  * Replace incorrect usage of UbuntuColors (LP: #1581047)
  * Update pot file for translations (LP: #1533091)
  * Open popups in an overlaid webview (LP: #1428591)
  * Skip tests on arm64 (LP: #1585942)

  [ Alberto Mardegan, Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079)

 -- Alberto Mardegan <email address hidden> Fri, 10 Jun 2016 09:46:37 +0000

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: In Progress → Fix Released
David Barth (dbarth) on 2016-06-21
Changed in webapps-sprint:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+16.10.20160825-0ubuntu1

---------------
webbrowser-app (0.23+16.10.20160825-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Load images needed at startup asynchronously.

  [ Michael Terry ]
  * Use less hard-coded colors in favor of theme colors. (LP: #1581047)

  [ Olivier Tilloy ]
  * Relax one unit test’s expectations to cater for different behaviours
    in different Qt versions (LP: #1611403)
  * Revert the workaround for bug #1585942 now that the bug has been
    properly fixed. (LP: #1585942)
  * Skip webapp container autopilot tests that exercise keyboard
    shortcuts when not run on desktop. (LP: #1611832)
  * Add missing string to translation template. (LP: #1607713)
  * Fix a handful of harmless warnings in QML unit tests.
  * Add user agent overrides for Google recaptcha. (LP: #1599146)

 -- Olivier Tilloy <email address hidden> Thu, 25 Aug 2016 09:53:50 +0000

Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Released
Michael Terry (mterry) on 2017-04-21
Changed in dialer-app (Ubuntu):
assignee: Michael Terry (mterry) → nobody
Changed in trust-store (Ubuntu):
assignee: Michael Terry (mterry) → nobody
Michael Terry (mterry) on 2017-04-21
Changed in reminders-app (Ubuntu):
assignee: Michael Terry (mterry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers